Subject: Re: [PATCH net-next 13/13] bnxt_en: Make PTP TX timestamp HWRM query silent

From: Breno Leitao <[email-masked]>
Date: Thu, 25 Jan 2024 01:51:55 -0800

On Thu, Jan 25, 2024 at 09:05:39AM +0530, Pavan Chebbi wrote:
> On Wed, Jan 24, 2024 at 3:48 PM Breno Leitao <[email-masked]> wrote:
> >
> > Hello Michael, Pavan,
> >
> > On Mon, Dec 11, 2023 at 04:51:22PM -0800, Michael Chan wrote:
> > > From: Pavan Chebbi <[email-masked]>
> > >
> > > In a busy network, especially with flow control enabled, we may
> > > experience timestamp query failures fairly regularly. After a while,
> > > dmesg may be flooded with timestamp query failure error messages.
> > >
> > > Silence the error message from the low level hwrm function that
> > > sends the firmware message.  Change netdev_err() to netdev_WARN_ONCE()
> > > if this FW call ever fails.
> >
> > This is starting to cause a warning now, which is not ideal, because
> > this error-now-warning happens quite frequently in Meta's fleet.
> >
> > At the same time, we want to have our kernels running warninglessly.
> > Moreover, the call stack displayed by the warning doesn't seem to be
> > quite useful and doees not help to investigate "the problem", I _think_.
> >
> > Is it OK to move it back to error, something as:
> >
> > -       netdev_WARN_ONCE(bp->dev,
> > +       netdev_err_once(bp->dev,
> >                          "TS query for TX timer failed rc = %x\n", rc);
> 
> Hi Breno, I think it is OK to change.

> Would you be submitting a patch for this?

Yes, let me send a patch. I will follow Michael's suggestion and use
netdev_warn_once()

Thanks!